aboutsummaryrefslogtreecommitdiffstats
path: root/tests/run-dbg-support
diff options
context:
space:
mode:
Diffstat (limited to 'tests/run-dbg-support')
-rwxr-xr-xtests/run-dbg-support11
1 files changed, 11 insertions, 0 deletions
diff --git a/tests/run-dbg-support b/tests/run-dbg-support
new file mode 100755
index 0000000..9e9c649
--- /dev/null
+++ b/tests/run-dbg-support
@@ -0,0 +1,11 @@
+#!../bash
+#$Id: run-dbg-support,v 1.5 2002/11/14 06:08:16 rockyb Exp $
+
+TEST_NAME='dbg-support'
+TEST_FILE="/tmp/${TEST_NAME}.check"
+${THIS_SH} ./${TEST_NAME}.tests > $TEST_FILE 2>&1 < /dev/null
+set -f
+diff $TEST_FILE ${TEST_NAME}.right && rm -f $TEST_FILE
+
+# Return code tells testing mechanism whether passed or not.
+exit $?